<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
BigFraction
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.BigFraction class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BigFraction";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigFraction.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/math/BigMath.html" title="class in ch.javasoft.math"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/math/BigFraction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigFraction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math</FONT>
<BR>
Class BigFraction</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">java.lang.Number</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.BigFraction</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.52"><B>BigFraction</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A><DT>implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DL>
</PRE>

<P>
The <tt>BigFraction</tt> is a fractional with numerator and 
 denominator both being <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers.
 <p>
 Big integer fractionals are constant, they don't change after instantiation.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#ch.javasoft.math.BigFraction">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#ONE">ONE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The BigFraction constant one.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#TEN">TEN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The BigFraction constant ten.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#TWO">TWO</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The BigFraction constant two.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#ZERO">ZERO</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The BigFraction constant zero.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(java.math.BigInteger, java.math.BigInteger)">BigFraction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(long, long)">BigFraction</A></B>(long&nbsp;numerator,
                       long&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(java.lang.String)">BigFraction</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;It is recommended to use <A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.String)"><CODE>valueOf(String)</CODE></A> instead.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#abs()">abs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is the absolute value of 
 this BigFraction.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#add(ch.javasoft.math.BigFraction)">add</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(this + val)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)">compareTo</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;other)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Compares this BigFraction with the specified BigInteger.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#divide(ch.javasoft.math.BigFraction)">divide</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;by)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(this / val) =
 (this.numerator * by.denominator) / (this.denominator * by.numerator)
 </tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#doubleValue()">doubleValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if and only if the numerator and denominator of 
 the two objects are equal.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#equalsNumerically(ch.javasoft.math.BigFraction)">equalsNumerically</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;other)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true iff this big integer fraction number is numerically equal 
 to <tt>other</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;float</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#floatValue()">floatValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#gcd(ch.javasoft.math.BigFraction...)">gcd</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calculates the greatest common divisor of the specified fraction numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#gcd(ch.javasoft.math.BigFraction)">gcd</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calculates the greatest common divisor of this fraction number and
 <code>val</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#getDenominator()">getDenominator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the denominator</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#getNumerator()">getNumerator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the enumerator</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the hash code for this BigFraction.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#intValue()">intValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this BigFraction to an <code>int</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(1/this)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isInteger()">isInteger</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this number represents an integer, that is, if remainder
 of numerator/denominator equals zero.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isNegative()">isNegative</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 negative, say this < 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isNonNegative()">isNonNegative</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 non-negative, say this >= 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isNonPositive()">isNonPositive</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 non-positive, say this <= 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isNonZero()">isNonZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 numerically not equal to zero, say this != 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isOne()">isOne</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 numerically equal to one.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isPositive()">isPositive</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 positive, say this > 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isReduced()">isReduced</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this fraction is already reduced, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#isZero()">isZero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Convenience method to check whether this big integer fraction number is
 numerically equal to zero, say this == 0</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#longValue()">longValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this BigFraction to a <code>long</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#max(ch.javasoft.math.BigFraction)">max</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the maximum of this BigFraction and <tt>val</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#min(ch.javasoft.math.BigFraction)">min</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the minimum of this BigFraction and <tt>val</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#multiply(ch.javasoft.math.BigFraction)">multiply</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(this * val)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#negate()">negate</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(-this)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#pow(int)">pow</A></B>(int&nbsp;exponent)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is 
 <tt>(this<sup>exponent</sup>) == (this.nominator<sup>exponent</sup> / 
 this.denominator<sup>exponent</sup>)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()">reduce</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Divides denominator and numerator by their greatest common divisor
 (gcd).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#shiftLeft(int)">shiftLeft</A></B>(int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigInteger whose value is <tt>(this &lt;&lt; n)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#shiftRight(int)">shiftRight</A></B>(int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(this &gt;&gt; n)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()">signum</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the signum function of this BigFraction.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#subtract(ch.javasoft.math.BigFraction)">subtract</A></B>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction whose value is <tt>(this - val)</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigDecimal()">toBigDecimal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator / 
 denominator)</tt>, and whose preferred scale is <tt>0</tt>; if the exact 
 quotient cannot be represented (because it has a non-terminating decimal
 expansion) an <tt>ArithmeticException</tt> is thrown.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigDecimal(int, java.math.RoundingMode)">toBigDecimal</A></B>(int&nbsp;scale,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html" title="class or interface in java.math">RoundingMode</A>&nbsp;roundingMode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator /
 divisor)</tt>, and whose scale is as specified.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigDecimal(java.math.MathContext)">toBigDecimal</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A>&nbsp;mc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator /
 divisor)</tt>, with rounding according to the context settings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigInteger()">toBigInteger</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 using integer division (no rounding).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigInteger(java.math.RoundingMode)">toBigInteger</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html" title="class or interface in java.math">RoundingMode</A>&nbsp;roundingMode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 using decimal division.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toBigIntegerExact()">toBigIntegerExact</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 checking for lost information.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toDouble(java.math.BigInteger, java.math.BigInteger)">toDouble</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts big integer numerator/denominator arguments to a double value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;float</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toFloat(java.math.BigInteger, java.math.BigInteger)">toFloat</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts big integer numerator/denominator arguments to a float value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string representation of this BigFraction.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.math.BigDecimal)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A> to a BigFraction</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.math.BigInteger)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> to a BigFraction</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.math.BigInteger, java.math.BigInteger)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction from big integer numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(double)">valueOf</A></B>(double&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a double to a BigFraction</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(long)">valueOf</A></B>(long&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a long to a BigFraction</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(long, long)">valueOf</A></B>(long&nbsp;numerator,
               long&nbsp;denominator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a BigFraction from long numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.Number)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates any number into a big integer fractional number.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates string representation of a fractional number into a
 BigFraction instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOfAdjusted(double)">valueOfAdjusted</A></B>(double&nbsp;val)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a double to a BigFraction, but tries to adjust
 the value to a nice fractional number, with numerator/denominator as
 small as possible.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOfAdjusted(double, double)">valueOfAdjusted</A></B>(double&nbsp;val,
                               double&nbsp;tolerance)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Translates a double to a BigFraction, but tries to adjust
 the value to a nice fractional number, with numerator/denominator as
 small as possible, using the specified <code>tolerance</code>.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Number"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#byteValue()" title="class or interface in java.lang">byteValue</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#shortValue()" title="class or interface in java.lang">shortValue</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ZERO"><!-- --></A><H3>
ZERO</H3>
<PRE>
public static final <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1107"><B>ZERO</B></A></PRE>
<DL>
<DD>The BigFraction constant zero.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="ONE"><!-- --></A><H3>
ONE</H3>
<PRE>
public static final <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1111"><B>ONE</B></A></PRE>
<DL>
<DD>The BigFraction constant one.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="TWO"><!-- --></A><H3>
TWO</H3>
<PRE>
public static final <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1115"><B>TWO</B></A></PRE>
<DL>
<DD>The BigFraction constant two.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="TEN"><!-- --></A><H3>
TEN</H3>
<PRE>
public static final <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1119"><B>TEN</B></A></PRE>
<DL>
<DD>The BigFraction constant ten.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BigFraction(long, long)"><!-- --></A><H3>
BigFraction</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.67"><B>BigFraction</B></A>(long&nbsp;numerator,
                   long&nbsp;denominator)</PRE>
<DL>
<DD>Constructor with numerator and denominator. See also <tt>valueOf(..)</tt>
 methods for various conversions to a big integer fractional.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>numerator</CODE> - numerator of the fraction number<DD><CODE>denominator</CODE> - denominator of the fraction number</DL>
</DL>
<HR>

<A NAME="BigFraction(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
BigFraction</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.77"><B>BigFraction</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</PRE>
<DL>
<DD>Constructor with numerator and denominator. See also <tt>valueOf(..)</tt>
 methods for various conversions to a big integer fractional.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>numerator</CODE> - numerator of the fraction number<DD><CODE>denominator</CODE> - denominator of the fraction number</DL>
</DL>
<HR>

<A NAME="BigFraction(java.lang.String)"><!-- --></A><H3>
BigFraction</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.96"><B>BigFraction</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</PRE>
<DL>
<DD>It is recommended to use <A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.String)"><CODE>valueOf(String)</CODE></A> instead. This method
 is a convenient method mainly for reflection use by frameworks.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>s</CODE> - the string to parse</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getNumerator()"><!-- --></A><H3>
getNumerator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.107"><B>getNumerator</B></A>()</PRE>
<DL>
<DD>Returns the enumerator
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDenominator()"><!-- --></A><H3>
getDenominator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.114"><B>getDenominator</B></A>()</PRE>
<DL>
<DD>Returns the denominator
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="doubleValue()"><!-- --></A><H3>
doubleValue</H3>
<PRE>
public double <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.122"><B>doubleValue</B></A>()</PRE>
<DL>
<DD>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#doubleValue()" title="class or interface in java.lang">doubleValue</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="floatValue()"><!-- --></A><H3>
floatValue</H3>
<PRE>
public float <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.130"><B>floatValue</B></A>()</PRE>
<DL>
<DD>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#floatValue()" title="class or interface in java.lang">floatValue</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intValue()"><!-- --></A><H3>
intValue</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.150"><B>intValue</B></A>()</PRE>
<DL>
<DD>Converts this BigFraction to an <code>int</code>.  This
 conversion is analogous to a <a
 href="http://java.sun.com/docs/books/jls/second_edition/html/conversions.doc.html#25363"><i>narrowing
 primitive conversion</i></a> from <code>long</code> to
 <code>int</code> as defined in the <a
 href="http://java.sun.com/docs/books/jls/html/">Java Language
 Specification</a>: if this BigFraction is too big to fit in an
 <code>int</code>, only the low-order 32 bits are returned.
 Note that this conversion can lose information about the
 overall magnitude of the BigFraction value as well as return a
 result with the opposite sign.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#intValue()" title="class or interface in java.lang">intValue</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>this BigFraction converted to an <code>int</code>.</DL>
</DD>
</DL>
<HR>

<A NAME="longValue()"><!-- --></A><H3>
longValue</H3>
<PRE>
public long <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.170"><B>longValue</B></A>()</PRE>
<DL>
<DD>Converts this BigFraction to a <code>long</code>.  This
 conversion is analogous to a <a
 href="http://java.sun.com/docs/books/jls/second_edition/html/conversions.doc.html#25363"><i>narrowing
 primitive conversion</i></a> from <code>long</code> to
 <code>int</code> as defined in the <a
 href="http://java.sun.com/docs/books/jls/html/">Java Language
 Specification</a>: if this BigFraction is too big to fit in a
 <code>long</code>, only the low-order 64 bits are returned.
 Note that this conversion can lose information about the
 overall magnitude of the BigFraction value as well as return a
 result with the opposite sign.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html#longValue()" title="class or interface in java.lang">longValue</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>this BigFraction converted to a <code>long</code>.</DL>
</DD>
</DL>
<HR>

<A NAME="toBigInteger()"><!-- --></A><H3>
toBigInteger</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.180"><B>toBigInteger</B></A>()</PRE>
<DL>
<DD>Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 using integer division (no rounding).
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>numerator / denominator using integer division</tt></DL>
</DD>
</DL>
<HR>

<A NAME="toBigInteger(java.math.RoundingMode)"><!-- --></A><H3>
toBigInteger</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.193"><B>toBigInteger</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html" title="class or interface in java.math">RoundingMode</A>&nbsp;roundingMode)</PRE>
<DL>
<DD>Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 using decimal division. If rounding must be performed to generate an
 integer result, the specified rounding mode is applied.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>roundingMode</CODE> - Mode rounding mode to apply
<DT><B>Returns:</B><DD><tt>numerator / denominator</tt> using decimal 
                                                division and rounding if necessary</DL>
</DD>
</DL>
<HR>

<A NAME="toBigIntegerExact()"><!-- --></A><H3>
toBigIntegerExact</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.205"><B>toBigIntegerExact</B></A>()</PRE>
<DL>
<DD>Returns a BigInteger whose value is <tt>(numerator / denominator)</tt>, 
 checking for lost information.  An exception is thrown if this
 <tt>BigFraction</tt> has a nonzero reminder after the integer division.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>this <tt>BigFraction</tt> converted to a <tt>BigInteger</tt>.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if <tt>(numerator / denominator)</tt> has a 
                        nonzero remainder.</DL>
</DD>
</DL>
<HR>

<A NAME="toBigDecimal()"><!-- --></A><H3>
toBigDecimal</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.219"><B>toBigDecimal</B></A>()</PRE>
<DL>
<DD>Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator / 
 denominator)</tt>, and whose preferred scale is <tt>0</tt>; if the exact 
 quotient cannot be represented (because it has a non-terminating decimal
 expansion) an <tt>ArithmeticException</tt> is thrown.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>numerator / denominator</tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if the exact quotient does not have a
         terminating decimal expansion</DL>
</DD>
</DL>
<HR>

<A NAME="toBigDecimal(java.math.MathContext)"><!-- --></A><H3>
toBigDecimal</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.233"><B>toBigDecimal</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/MathContext.html" title="class or interface in java.math">MathContext</A>&nbsp;mc)</PRE>
<DL>
<DD>Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator /
 divisor)</tt>, with rounding according to the context settings.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mc</CODE> - the context to use.
<DT><B>Returns:</B><DD><tt>numerator / divisor</tt>, rounded as necessary.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if the result is inexact but the
         rounding mode is <tt>UNNECESSARY</tt> or 
         <tt>mc.precision == 0</tt> and the quotient has a 
         non-terminating decimal expansion.</DL>
</DD>
</DL>
<HR>

<A NAME="toBigDecimal(int, java.math.RoundingMode)"><!-- --></A><H3>
toBigDecimal</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.250"><B>toBigDecimal</B></A>(int&nbsp;scale,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html" title="class or interface in java.math">RoundingMode</A>&nbsp;roundingMode)</PRE>
<DL>
<DD>Returns a <tt>BigDecimal</tt> whose value is <tt>(numerator /
 divisor)</tt>, and whose scale is as specified.  If rounding must
 be performed to generate a result with the specified scale, the
 specified rounding mode is applied.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>scale</CODE> - scale of the <tt>BigDecimal</tt> quotient to be returned.<DD><CODE>roundingMode</CODE> - rounding mode to apply.
<DT><B>Returns:</B><DD><tt>this / divisor</tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if <tt>divisor</tt> is zero,
         <tt>roundingMode==RoundingMode.UNNECESSARY</tt> and
         the specified scale is insufficient to represent the result
         of the division exactly.</DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.260"><B>hashCode</B></A>()</PRE>
<DL>
<DD>Returns the hash code for this BigFraction.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>hash code for this BigFraction.</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.271"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD>Returns <tt>true</tt> if and only if the numerator and denominator of 
 the two objects are equal. For numerical equality, use 
 <A HREF="../../../ch/javasoft/math/BigFraction.html#equalsNumerically(ch.javasoft.math.BigFraction)"><CODE>equalsNumerically(BigFraction)</CODE></A> or
 <A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="compareTo(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
compareTo</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.295"><B>compareTo</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;other)</PRE>
<DL>
<DD>Compares this BigFraction with the specified BigInteger.  
 This method is provided in preference to individual methods for each of 
 the six boolean comparison operators (&lt;, ==, &gt;, &gt;=, !=, &lt;=).  
 The suggested idiom for performing these comparisons is:
 <tt>(x.compareTo(y)</tt> &lt;<i>op</i>&gt; <tt>0)</tt>,
 where &lt;<i>op</i>&gt; is one of the six comparison operators.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html#compareTo(T)" title="class or interface in java.lang">compareTo</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>other</CODE> - fractional number to which this fraction is to be compared.
<DT><B>Returns:</B><DD>-1, 0 or 1 as this fraction is numerically less than, equal
         to, or greater than <tt>val</tt>.</DL>
</DD>
</DL>
<HR>

<A NAME="signum()"><!-- --></A><H3>
signum</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.311"><B>signum</B></A>()</PRE>
<DL>
<DD>Returns the signum function of this BigFraction.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>-1, 0 or 1 as the value of this fraction is negative, zero or
               positive.</DL>
</DD>
</DL>
<HR>

<A NAME="abs()"><!-- --></A><H3>
abs</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.323"><B>abs</B></A>()</PRE>
<DL>
<DD>Returns a BigFraction whose value is the absolute value of 
 this BigFraction. 
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>abs(this)</tt></DL>
</DD>
</DL>
<HR>

<A NAME="negate()"><!-- --></A><H3>
negate</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.342"><B>negate</B></A>()</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(-this)</tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>-this</tt></DL>
</DD>
</DL>
<HR>

<A NAME="invert()"><!-- --></A><H3>
invert</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.361"><B>invert</B></A>()</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(1/this)</tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1. 
 <p>
 The resulting denominator is guaranteed to be non-negative.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><tt>1/this</tt></DL>
</DD>
</DL>
<HR>

<A NAME="add(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.385"><B>add</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(this + val)</tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - value to be added to this BigFraction.
<DT><B>Returns:</B><DD><tt>this + val</tt></DL>
</DD>
</DL>
<HR>

<A NAME="subtract(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
subtract</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.405"><B>subtract</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(this - val)</tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - value to be subtracted from this BigFraction.
<DT><B>Returns:</B><DD><tt>this - val</tt></DL>
</DD>
</DL>
<HR>

<A NAME="multiply(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
multiply</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.425"><B>multiply</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(this * val)</tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - value to be multiplied by this BigFraction.
<DT><B>Returns:</B><DD><tt>this * val</tt></DL>
</DD>
</DL>
<HR>

<A NAME="divide(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
divide</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.452"><B>divide</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;by)</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(this / val) =
 (this.numerator * by.denominator) / (this.denominator * by.numerator)
 </tt>.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>by</CODE> - value by which this BigFraction is to be divided.
<DT><B>Returns:</B><DD><tt>this / val</tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - <tt>val==0</tt></DL>
</DD>
</DL>
<HR>

<A NAME="pow(int)"><!-- --></A><H3>
pow</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.490"><B>pow</B></A>(int&nbsp;exponent)</PRE>
<DL>
<DD>Returns a BigFraction whose value is 
 <tt>(this<sup>exponent</sup>) == (this.nominator<sup>exponent</sup> / 
 this.denominator<sup>exponent</sup>)</tt>.
 Note that <tt>exponent</tt> is an integer rather than a 
 BigFraction.
 The fractional number is not <A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduced</CODE></A>, that is, 
 gcd(nominator, denominator) might be != 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>exponent</CODE> - exponent to which this BigFraction is to be 
                                        raised.
<DT><B>Returns:</B><DD><tt>this<sup>exponent</sup></tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - <tt>exponent</tt> is negative and 
                   <tt>this</tt> is zero.  (This would cause a division by zero.)</DL>
</DD>
</DL>
<HR>

<A NAME="shiftLeft(int)"><!-- --></A><H3>
shiftLeft</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.526"><B>shiftLeft</B></A>(int&nbsp;n)</PRE>
<DL>
<DD>Returns a BigInteger whose value is <tt>(this &lt;&lt; n)</tt>.
 The shift distance, <tt>n</tt>, may be negative, in which case
 this method performs a right shift.
 (Computes <tt>this * 2<sup>n</sup></tt>.)
 <p>
 To achieve that the resulting fraction number is smallest possible, the 
 denominator is shifted to the right as far as possible. The remaining 
 positions are left shifts of the numerator.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>n</CODE> - shift distance, in bits.
<DT><B>Returns:</B><DD><tt>this &lt;&lt; n</tt><DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#shiftRight(int)"><CODE>shiftRight(int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="shiftRight(int)"><!-- --></A><H3>
shiftRight</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.552"><B>shiftRight</B></A>(int&nbsp;n)</PRE>
<DL>
<DD>Returns a BigFraction whose value is <tt>(this &gt;&gt; n)</tt>. 
 The shift distance, <tt>n</tt>, may be negative, in which case this 
 method performs a left shift.
 (Computes <tt>this / 2<sup>n</sup></tt>.) 
 <p>
 To achieve that the resulting fraction number is smallest possible, the 
 numerator is shifted to the right as far as possible. The remaining 
 positions are left shifts of the denominator.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>n</CODE> - shift distance, in bits.
<DT><B>Returns:</B><DD><tt>this &gt;&gt; n</tt><DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#shiftLeft(int)"><CODE>shiftLeft(int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="max(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
max</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.571"><B>max</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;with)</PRE>
<DL>
<DD>Returns the maximum of this BigFraction and <tt>val</tt>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - value with which the maximum is to be computed.
<DT><B>Returns:</B><DD>the BigFraction whose value is the greater of this 
                        and <tt>val</tt>.  If they are equal, either may be returned.</DL>
</DD>
</DL>
<HR>

<A NAME="min(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
min</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.582"><B>min</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;with)</PRE>
<DL>
<DD>Returns the minimum of this BigFraction and <tt>val</tt>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - value with which the minimum is to be computed.
<DT><B>Returns:</B><DD>the BigFraction whose value is the lesser of this 
                        and <tt>val</tt>.  If they are equal, either may be returned.</DL>
</DD>
</DL>
<HR>

<A NAME="reduce()"><!-- --></A><H3>
reduce</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.594"><B>reduce</B></A>()</PRE>
<DL>
<DD>Divides denominator and numerator by their greatest common divisor
 (gcd). The denominator of the returned integer fractional will always be 
 positive. If the numerator is 0, the denominator will be one.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#isReduced()"><CODE>isReduced()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="gcd(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
gcd</H3>
<PRE>
public <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.626"><B>gcd</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;val)</PRE>
<DL>
<DD>Calculates the greatest common divisor of this fraction number and
 <code>val</code>. The gcd of two fraction numbers is gcd of numerators 
 divided by gcd of deniminators.
 <p>
 If both numbers are negative, the resulting gcd is also negative. If both 
 numbers are zero, the result is zero. Otherwise, the result is positive.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - value with which the gcd is to be computed
<DT><B>Returns:</B><DD>sgn * gcd(this.numerator, val.numberator) / 
                                gcd(this.denominator, val.denominator)</DL>
</DD>
</DL>
<HR>

<A NAME="gcd(ch.javasoft.math.BigFraction...)"><!-- --></A><H3>
gcd</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.654"><B>gcd</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>...&nbsp;values)</PRE>
<DL>
<DD>Calculates the greatest common divisor of the specified fraction numbers.
 The gcd of fraction numbers is gcd of numerators divided by gcd of 
 denominators.
 <p>
 This method might be useful to scale down a vector of fraction numbers. 
 <p>
 If all numbers are negative, the resulting gcd is also negative. If all 
 numbers are zero, the result is zero. Otherwise, the result is positive.
 For a zero-length vector, the result is one.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>values</CODE> - values for which the gcd is to be computed
<DT><B>Returns:</B><DD>sgn * gcd(values[*].numberator) / gcd(values[*].denominator)</DL>
</DD>
</DL>
<HR>

<A NAME="isZero()"><!-- --></A><H3>
isZero</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.685"><B>isZero</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 numerically equal to zero, say this == 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#equalsNumerically(ch.javasoft.math.BigFraction)"><CODE>equalsNumerically(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isReduced()"><!-- --></A><H3>
isReduced</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.695"><B>isReduced</B></A>()</PRE>
<DL>
<DD>Returns true if this fraction is already reduced, i.e. if the greatest
 common divisor of numerator and denominator is one.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#reduce()"><CODE>reduce()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isNonZero()"><!-- --></A><H3>
isNonZero</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.710"><B>isNonZero</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 numerically not equal to zero, say this != 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#equalsNumerically(ch.javasoft.math.BigFraction)"><CODE>equalsNumerically(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isNegative()"><!-- --></A><H3>
isNegative</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.721"><B>isNegative</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 negative, say this < 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isNonNegative()"><!-- --></A><H3>
isNonNegative</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.732"><B>isNonNegative</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 non-negative, say this >= 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPositive()"><!-- --></A><H3>
isPositive</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.743"><B>isPositive</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 positive, say this > 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isNonPositive()"><!-- --></A><H3>
isNonPositive</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.754"><B>isNonPositive</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 non-positive, say this <= 0
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#signum()"><CODE>signum()</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isOne()"><!-- --></A><H3>
isOne</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.766"><B>isOne</B></A>()</PRE>
<DL>
<DD>Convenience method to check whether this big integer fraction number is
 numerically equal to one. This is true if numerator and denominator are
 numerically equal.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#equalsNumerically(ch.javasoft.math.BigFraction)"><CODE>equalsNumerically(BigFraction)</CODE></A>, 
<A HREF="../../../ch/javasoft/math/BigFraction.html#compareTo(ch.javasoft.math.BigFraction)"><CODE>compareTo(BigFraction)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isInteger()"><!-- --></A><H3>
isInteger</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.774"><B>isInteger</B></A>()</PRE>
<DL>
<DD>Returns true if this number represents an integer, that is, if remainder
 of numerator/denominator equals zero.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equalsNumerically(ch.javasoft.math.BigFraction)"><!-- --></A><H3>
equalsNumerically</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.788"><B>equalsNumerically</B></A>(<A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&nbsp;other)</PRE>
<DL>
<DD>Returns true iff this big integer fraction number is numerically equal 
 to <tt>other</tt>. Note that <A HREF="../../../ch/javasoft/math/BigFraction.html#equals(java.lang.Object)"><CODE>equals(Object)</CODE></A> only returns true
 if both nominator and denominator are equal, and false otherwise, even if 
 both fractional numbers represent the same numeric value.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#equals(java.lang.Object)"><CODE>equals(Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.800"><B>toString</B></A>()</PRE>
<DL>
<DD>Returns a string representation of this BigFraction.
 If the denominator is 1, the numerator's string representation is
 returned. Otherwise, <tt>numerator/denominator</tt> is returned.
 <p>
 Strings returned here are parsable by <A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.String)"><CODE>valueOf(String)</CODE></A>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.817"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)
                           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NumberFormatException.html" title="class or interface in java.lang">NumberFormatException</A></PRE>
<DL>
<DD>Translates string representation of a fractional number into a
 BigFraction instance. Valid strings are those of 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> and <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A>, or strings of the form
 <tt>numerator/denominator</tt> with two big integers.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>s</CODE> - the string representation of a big integer fraction to parse
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/NumberFormatException.html" title="class or interface in java.lang">NumberFormatException</A></CODE> - <tt>val</tt> is not a valid representation
               of a BigFraction.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html#BigInteger(java.lang.String)" title="class or interface in java.math"><CODE>BigInteger.BigInteger(String)</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#BigDecimal(java.lang.String)" title="class or interface in java.math"><CODE>BigDecimal.BigDecimal(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.math.BigInteger)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.841"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;val)</PRE>
<DL>
<DD>Translates a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> to a BigFraction
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the big integer to translate
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.math.BigDecimal)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.850"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math">BigDecimal</A>&nbsp;val)</PRE>
<DL>
<DD>Translates a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A> to a BigFraction
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the big decimal to translate
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(long)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.866"><B>valueOf</B></A>(long&nbsp;val)</PRE>
<DL>
<DD>Translates a long to a BigFraction
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the long to translate
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#valueOf(long)" title="class or interface in java.math"><CODE>BigDecimal.valueOf(long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(double)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.880"><B>valueOf</B></A>(double&nbsp;val)</PRE>
<DL>
<DD>Translates a double to a BigFraction
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the double to translate
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#valueOf(double)" title="class or interface in java.math"><CODE>BigDecimal.valueOf(double)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(long, long)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.894"><B>valueOf</B></A>(long&nbsp;numerator,
                                  long&nbsp;denominator)</PRE>
<DL>
<DD>Returns a BigFraction from long numerator and denominator. This
 is the same as <A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(long, long)"><CODE>BigFraction(long, long)</CODE></A>, but possibly,
 some caching is used for commonly used values.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>numerator</CODE> - the numerator for the fraction number to be created<DD><CODE>denominator</CODE> - the denominator for the fraction number to be created
<DT><B>Returns:</B><DD>the BigFraction representing <tt>numerator/denominator</tt><DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(long, long)"><CODE>BigFraction(long, long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.917"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</PRE>
<DL>
<DD>Returns a BigFraction from big integer numerator and denominator. 
 This is the same as <A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(java.math.BigInteger, java.math.BigInteger)"><CODE>BigFraction(BigInteger, BigInteger)</CODE></A>, 
 but possibly, some caching is used for commonly used values.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>numerator</CODE> - the numerator for the fraction number to be created<DD><CODE>denominator</CODE> - the denominator for the fraction number to be created
<DT><B>Returns:</B><DD>the BigFraction representing <tt>numerator/denominator</tt><DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#BigFraction(java.math.BigInteger, java.math.BigInteger)"><CODE>BigFraction(BigInteger, BigInteger)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.Number)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1008"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;val)</PRE>
<DL>
<DD>Translates any number into a big integer fractional number. The
 most appropriate <tt>valueOf(..)</tt> method is used. If no better 
 method is found, <A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(java.lang.String)"><CODE>valueOf(String)</CODE></A> is invoked after converting
 the given number to a string value.
 <p>
 This method is guaranteed to work for java number types, including
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> and <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html" title="class or interface in java.math"><CODE>BigDecimal</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOfAdjusted(double)"><!-- --></A><H3>
valueOfAdjusted</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1028"><B>valueOfAdjusted</B></A>(double&nbsp;val)</PRE>
<DL>
<DD>Translates a double to a BigFraction, but tries to adjust
 the value to a nice fractional number, with numerator/denominator as
 small as possible. The returned value is numerically equal to <code>val</code> 
 if converted back to a double value using <A HREF="../../../ch/javasoft/math/BigFraction.html#doubleValue()"><CODE>doubleValue()</CODE></A>.
 <p>
 This method is especially useful for double values representing 1/3, 1/6 
 etc. but it works also fine with any/10^i.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the double to translate
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if <code>val</code> is NaN or infinite<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(double)"><CODE>valueOf(double)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="valueOfAdjusted(double, double)"><!-- --></A><H3>
valueOfAdjusted</H3>
<PRE>
public static <A HREF="../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A> <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1052"><B>valueOfAdjusted</B></A>(double&nbsp;val,
                                          double&nbsp;tolerance)</PRE>
<DL>
<DD>Translates a double to a BigFraction, but tries to adjust
 the value to a nice fractional number, with numerator/denominator as
 small as possible, using the specified <code>tolerance</code>. 
 <p>
 The difference between <code>val</code> and the returned value, converted back 
 to a double value using <A HREF="../../../ch/javasoft/math/BigFraction.html#doubleValue()"><CODE>doubleValue()</CODE></A>}, is no more than the
 specified <code>tolerance</code>.
 <p>
 This method is especially useful for double values representing 1/3, 1/6 
 etc. but it works also fine with any/10^i.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>val</CODE> - the double to translate<DD><CODE>tolerance</CODE> - a positive value close to zero used as tolerance as 
                                        described above
<DT><B>Returns:</B><DD>the BigFraction representing <tt>val</tt>
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang">ArithmeticException</A></CODE> - if <code>val</code> is NaN or infinite
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if <code>tolerance</code> is negative,
                                                                                NaN or infinite<DT><B>See Also:</B><DD><A HREF="../../../ch/javasoft/math/BigFraction.html#valueOf(double)"><CODE>valueOf(double)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="toDouble(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
toDouble</H3>
<PRE>
public static double <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1128"><B>toDouble</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                              <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</PRE>
<DL>
<DD>Converts big integer numerator/denominator arguments to a double value.
 <p>
 The transformation is performed using <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#divide(java.math.BigDecimal, int, java.math.RoundingMode)" title="class or interface in java.math"><CODE>BigDecimal division</CODE></A>
 with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_EVEN" title="class or interface in java.math"><CODE>HALF_EVEN</CODE></A> rounding mode. The scale
 is chosen appropriately for double precision floating point numbers.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toFloat(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
toFloat</H3>
<PRE>
public static float <A HREF="../../../src-html/ch/javasoft/math/BigFraction.html#line.1152"><B>toFloat</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numerator,
                            <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;denominator)</PRE>
<DL>
<DD>Converts big integer numerator/denominator arguments to a float value
 <p>
 The transformation is performed using <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigDecimal.html#divide(java.math.BigDecimal, int, java.math.RoundingMode)" title="class or interface in java.math"><CODE>BigDecimal division</CODE></A>
 with <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_EVEN" title="class or interface in java.math"><CODE>HALF_EVEN</CODE></A> rounding mode. The scale
 is chosen appropriately for single precision floating point numbers.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigFraction.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/math/BigMath.html" title="class in ch.javasoft.math"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/math/BigFraction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigFraction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
